> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-issue-698-scan-api-single-page.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# /v0/featured-apps/{provider_party_id}

> If `provider_party_id` has a `FeaturedAppRight` registered with the DSO,
return it; `featured_app_right` will be empty otherwise.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/featured-apps/{provider_party_id}
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: common
    description: |
      Health and status endpoints available on all nodes.
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/featured-apps/{provider_party_id}:
    get:
      tags:
        - internal
        - scan
      summary: /v0/featured-apps/{provider_party_id}
      description: |
        If `provider_party_id` has a `FeaturedAppRight` registered with the DSO,
        return it; `featured_app_right` will be empty otherwise.
      operationId: lookupFeaturedAppRight
      parameters:
        - name: provider_party_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LookupFeaturedAppRightResponse'
components:
  schemas:
    LookupFeaturedAppRightResponse:
      description: >
        If defined, a contract of Daml template
        `Splice.Amulet.FeaturedAppRight`.
      type: object
      properties:
        featured_app_right:
          $ref: '#/components/schemas/Contract'
    Contract:
      type: object
      properties:
        template_id:
          type: string
        contract_id:
          type: string
        payload:
          type: object
        created_event_blob:
          type: string
        created_at:
          type: string
      required:
        - template_id
        - contract_id
        - payload
        - created_event_blob
        - created_at

````